variable "region" {
  description   = "AWS region"
  type          = string
  default       = "eu-central-1"
}

variable "vpc_id" {
  description   = "VPC ID"
  type          = string
  default       = "vpc-c9823aa0"                            // Midot_Frankfurt
}

variable "subnets_id" {
  description   = "Subnets ID"
  type          = list(list(string))
  default       = [
    ["subnet-a68d06cf", "subnet-05cc647e"],                 // WebGlassFishELB_A, WebGlassFishELB_B
    ["subnet-05cc647e", "subnet-a68d06cf"],                 // WebGlassFishELB_B, WebGlassFishELB_A
    ["subnet-0110db7df02c9192e", "subnet-05cc647e"]         // WebGlassFishELB_C, WebGlassFishELB_B
  ]
}

variable "source_subnets" {
  description   = "Source Subnets"
  type          = list(list(string))
  default       = [
    ["10.23.120.0/24", "10.23.60.0/24", "10.23.10.0/24"],   // WebApache_A, WebGlassFish_A, WebJBoss_A
    ["10.23.121.0/24", "10.23.61.0/24", "10.23.11.0/24"],   // WebApache_B, WebGlassFish_B, WebJBoss_B
    ["10.23.122.0/24", "10.23.62.0/24", "10.23.12.0/24"]    // WebApache_C, WebGlassFish_C, WebJBoss_C
  ]
}

